Bug 1013248 - rsync package requires problem - xinetd missing
rsync package requires problem - xinetd missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsync (Show other bugs)
6.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Pavel Šimerda (pavlix)
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 15:54 EDT by Christoph Galuschka
Modified: 2013-10-17 03:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 03:54:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 6600 None None None Never

  None (edit)
Description Christoph Galuschka 2013-09-28 15:54:35 EDT
Description of problem:
rsync has an xinetd configuration file in /etc/xinetd.d/rsync (similar to telnet-server). Unlike telnet-server, rsync does NOT have xinetd as requirement in the spec-file.
Allthough a daemon mode is available in rsync, there is no rsync in /etc/init.d. So one would require xinetd.

Version-Release number of selected component (if applicable):
rsync-3.0.6-9

How reproducible:
always

Steps to Reproduce:
1. install rsync, xinetd does not get pulled in as dependency.


Actual results:
xinetd is not installed as dependency

Expected results:
xinetd gets installed as dependency

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 19:05:43 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Christoph Galuschka 2013-10-16 15:10:53 EDT
in my humble opinion this does not require an update of rsync or xinetd. A simple change to the spec file should be enough to add that requirement. Except if that is also considered an update.
Comment 4 Christoph Galuschka 2013-10-17 02:23:04 EDT
Pavel: The use case is running rsync as a server software from which to pull the changes. Yes, that is certainly something where anonymous access is used. I admit I don't know where to find the requirement to install xinetd for anonymous access, but I think it would be nice if that requirement is also reflected in the package by pulling in xinetd as dep.
Comment 5 Pavel Šimerda (pavlix) 2013-10-17 03:10:56 EDT
1) I don't see one the requirement of one additional step ('yum install xinetd') as a satisfactory argument to add an unwanted dependency for the huge number of command-line rsync users. So far for my personal opinion.

2) Adding such a dependency in an update to el6 would cause 'xinetd' to be forcedly installed during a system update. I can only guess that this is a *no-go* whether or not your request is valid or not.

3) Any modification to a package results in a new release of the package being created, therefore it's considered an update and it's a process on its own.

We value community feedback but your report would be better suited for a recent version for the Fedora distribution where active development is being done.
Comment 6 Pavel Šimerda (pavlix) 2013-10-17 03:54:19 EDT
(In reply to Pavel Šimerda from comment #5)
> 2) Adding such a dependency in an update to el6 would cause 'xinetd' to be
> forcedly installed during a system update. I can only guess that this is a
> *no-go* whether or not your request is valid or not.

Confirmed.

Note You need to log in before you can comment on or make changes to this bug.